aboutsummaryrefslogtreecommitdiffhomepage
path: root/bin/c
diff options
context:
space:
mode:
Diffstat (limited to 'bin/c')
-rwxr-xr-xbin/c24
1 files changed, 24 insertions, 0 deletions
diff --git a/bin/c b/bin/c
new file mode 100755
index 0000000000..a7b752cc67
--- /dev/null
+++ b/bin/c
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+BRANCH=$(git branch | grep \* | cut -d" " -f 2)
+CLEAN=${CLEAN-clean}
+SAMPLES=100
+
+if [ $BRANCH == $CLEAN ]; then
+ echo "Comparing $BRANCH to itself."
+ exit 1
+fi
+
+git checkout $CLEAN
+./gyp_skia >/dev/null
+ninja -C out/Release nanobench
+out/Release/nanobench $@ --samples $SAMPLES -v 2> $CLEAN.log
+
+git checkout $BRANCH
+./gyp_skia >/dev/null
+ninja -C out/Release nanobench
+out/Release/nanobench $@ --samples $SAMPLES -v 2> $BRANCH.log
+
+compare $CLEAN.log $BRANCH.log